<!DOCTYPE html>
<html lang="<pun_language>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover">
    <link rel="preload" href="https://forum.textpattern.com/style/Textpattern/fonts/pt-serif-v12-latin-ext-regular.woff2" as="font" type="font/woff2" crossorigin>
    <link rel="preload" href="https://forum.textpattern.com/style/Textpattern/fonts/pt-serif-v12-latin-ext-700.woff2" as="font" type="font/woff2" crossorigin>
    <script src="https://textpattern.com/assets/js/detect.js"></script>
    <link rel="stylesheet" media="screen"href="/style/Textpattern/css/screen.@@timestamp.css">
    <link rel="stylesheet" media="print" href="https://textpattern.com/assets/css/print.css">
    <link rel="icon" href="/favicon.ico">
    <link rel="icon" href="/icon.svg" type="image/svg+xml">
    <link rel="apple-touch-icon" href="/apple-touch-icon.png">
    <link rel="manifest" href="/site.webmanifest">
    <meta name="color-scheme" content="dark light">
    <meta name="theme-color" content="#ffffff" media="(prefers-color-scheme: light)">
    <meta name="theme-color" content="#363d44" media="(prefers-color-scheme: dark)">
    <meta name="application-name" content="Textpattern Forum">
    <script defer src="style/Textpattern/js/app.@@timestamp.js"></script>
    <pun_head>
    <link rel="alternate" type="application/rss+xml" href="extern.php?action=feed&amp;order=posted&amp;type=rss" title="RSS new topics feed">
</head>
<body id="page-<pun_page>" itemscope itemtype="https://schema.org/WebPage">
    <meta itemprop="accessibilityControl" content="fullKeyboardControl">
    <meta itemprop="accessibilityControl" content="fullMouseControl">
    <meta itemprop="accessibilityHazard" content="noFlashingHazard">
    <meta itemprop="accessibilityHazard" content="noMotionSimulationHazard">
    <meta itemprop="accessibilityHazard" content="noSoundHazard">
    <meta itemprop="accessibilityAPI" content="ARIA">
    <a class="a--skip-link" href="#main">Go to main content</a>
    <div class="wrapper">
        <header class="site-header" itemscope itemtype="https://schema.org/Organization">
            <h1 class="masthead" itemprop="name"><a rel="home" itemprop="url" href="https://textpattern.com/" title="Go to the Textpattern homepage">Textpattern CMS</a></h1>
            <meta itemprop="logo" content="https://textpattern.com/assets/img/branding/textpattern/textpattern.png">
            <div itemscope itemtype="https://schema.org/WebSite">
                <meta itemprop="url" content="https://forum.textpattern.com/">
                <form class="search-form" role="search" method="get" action="https://forum.textpattern.com/search.php" itemprop="potentialAction" itemscope itemtype="https://schema.org/SearchAction">
                    <meta itemprop="target" content="https://forum.textpattern.com/search.php?action=search&show_as=posts&sort_dir=DESC&keywords={keywords}">
                    <input type="hidden" name="action" value="search">
                    <input type="hidden" name="show_as" value="posts">
                    <input type="hidden" name="sort_dir" value="DESC">
                    <label class="accessibility" for="q">Search</label>
                    <input id="q" name="keywords" type="search" size="32" placeholder="Search forum…" itemprop="query-input">
                    <button class="accessibility" type="submit">Submit Search</button>
                </form>
            </div>
        </header>
        <div class="nav-container">
            <a id="site-navigation-toggle" href="#" role="button" aria-controls="site-navigation" title="Navigation menu">Navigation menu</a>
            <nav id="site-navigation" aria-label="Site navigation" itemscope itemtype="https://schema.org/SiteNavigationElement">
                <ul id="site-navigation-list">
                    <li><a itemprop="url" href="https://textpattern.com/start/">Get started</a></li>
                    <li><a itemprop="url" href="https://docs.textpattern.com/">Documentation</a></li>
                    <li><a itemprop="url" href="https://textpattern.com/themes">Themes</a></li>
                    <li><a itemprop="url" href="https://plugins.textpattern.com/">Plugins</a></li>
                    <li class="active"><a itemprop="url" href="./">Forum</a> <span class="accessibility">(current section)</span></li>
                    <li><a itemprop="url" href="https://textpattern.com/weblog/">Blog</a></li>
                    <li><a itemprop="url" href="https://textpattern.com/about/">About</a></li>
                </ul>
            </nav>
        </div>
        <main id="main" aria-label="Main content">
            <div class="container">
                <h1 class="accessibility">Textpattern CMS support forum</h1>
                <pun_navlinks>
                <pun_status>
                <pun_announcement>
                <pun_main>
                <pun_footer>
            </div>
        </main>
    </div>
    <div class="wrapper-footer">
        <aside class="container complementary-content">
            <div class="layout-container">
                <div class="layout-3col-2span">
                    <div class="layout-container">
                        <section class="layout-2col" itemscope itemtype="https://schema.org/Organization">
                            <h4>Social channels</h4>
                            <meta itemprop="name" content="Textpattern CMS">
                            <meta itemprop="sameAs" content="https://en.wikipedia.org/wiki/Textpattern">
                            <ul class="social-channels">
                                <li><a class="github" rel="me external" itemprop="sameAs" href="https://github.com/textpattern" title="Follow us on GitHub">GitHub</a></li>
                                <li><a class="mastodon" rel="me external" itemprop="sameAs" href="https://indieweb.social/@textpattern" title="Follow us on Mastodon">Mastodon</a></li>
                                <li><a class="twitter" rel="me external" itemprop="sameAs" href="https://twitter.com/textpattern" title="Follow us on Twitter">Twitter</a></li>
                            </ul>
                            <h4>Donate</h4>
                            <p>Your kind donations and sponsorships help us keep Textpattern CMS development alive!</p>
                            <p>
                                <a class="button button-primary" href="https://textpattern.com/about/patrons"><span class="ui-icon ui-icon-heart"></span> Donate…</a>
                                <a class="button button-primary" rel="external" href="https://github.com/sponsors/textpattern"><span class="ui-icon ui-icon-heart"></span> Sponsor…</a>
                            </p>
                        </section>
                        <section class="layout-2col community-details">
                            <h4>GitHub repositories</h4>
                            <ul class="community-links">
                                <li><a rel="external" href="https://github.com/textpattern">Textpattern on GitHub</a></li>
                                <li><a rel="external" href="https://github.com/textile">Textile on GitHub</a></li>
                                <li><a rel="external" href="https://github.com/drmonkeyninja/awesome-textpattern">Textpattern Awesome List</a></li>
                            </ul>
                            <h4>Community links</h4>
                            <ul class="community-links">
                                <li><a href="https://textpattern.com/showcase/">Textpattern Site Showcase</a></li>
                                <li><a href="https://docs.textpattern.com/brand/">Textpattern Brand and Voice</a></li>
                                <li><a rel="external" href="https://textpattern.tips/">Textpattern Tips</a></li>
                                <li><a rel="external" href="https://txpmag.com/">TXP Magazine</a></li>
                                <li><a rel="external" href="https://textile-lang.com/">Textile Markup Language Documentation</a></li>
                            </ul>
                        </section>
                    </div>
                </div>
                <section class="layout-3col host-details">
                    <h4 class="accessibility">Host details</h4>
                    <p><span class="host-network">Textpattern Network</span></p>
                    <p>
                        <small>
                            Kindly hosted by<br>
                            <a class="digitalocean" rel="external" href="https://www.digitalocean.com/?utm_source=opensource&amp;utm_campaign=textpattern" title="Go to the DigitalOcean website">DigitalOcean</a>
                        </small>
                    </p>
                </section>
            </div>
        </aside>
        <footer class="site-footer">
            <p class="legal">
                Copyright 2004–@@year The Textpattern Development Team.
                <a href="https://textpattern.com/contact">Contact us</a>.
                <a href="https://textpattern.com/privacy">Privacy</a>.
                <a href="humans.txt">Colophon</a>.
                Textpattern is both free and open source. <a href="https://textpattern.com/license">GPLv2 license</a>.
            </p>
        </footer>
    </div>
    <noscript>JavaScript is currently disabled in your browser - activate it for the best experience.</noscript>
</body>
</html>
